<!DOCTYPE html>
<html lang="en">
  <head>
    <title>{{ title }}</title>
    <style>{{ stylesheet|safe}}</style>
<style>
  html,
  body {
    height: 100vh;
  }
  body > footer {
    position: sticky;
    top: 100vh;
  }

  .badge {
    color: white;
    padding: 2px 4px;
    text-align: center;
    border-radius: 5px;
  }

  .job-status {
    padding: 1em;
  }

  td.path {
    overflow-x: scroll;
    display: inline-block;
    max-width: 700px;
  }

  th {
    text-decoration: underline;
  }

  tr {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-height: 1rem;
  }

  footer {
    text-align: center;
  }

  footer svg {
    max-height: 100px;
    max-width: 250px;
  }

</style>
    {% block head %}{% endblock %}
  </head>
  <body>
    <main class="container">
      <nav>
        <ul>
          <li><h1><a href="/">🚚Lorry</a></h1></li>
        </ul>
        <ul>
          <li><a href="/config">config</a></li>
          <li><a href="/debug">debug</a></li>
          <li><a href="/failed">failed</a></li>
        </ul>
      </nav>
      <div id="content">
        <h1> {{ title }} </h1>
        {% block content %}{% endblock %}
      </div>
    </main>
  </body>
  <footer><a href="https://codethink.co.uk">{{ logo|safe }}</a></footer>
</html>
